<?
include("../fnc.php");
enlinea_c();

switch($tipo_trn){
 case "Add":
    if(!$txttema){
     alert("Debe ingresar un tema","javascript:history.go(-1)");
    }
    $id_cr=dec($cid);
    if(!$txtactivo){$txtactivo='N';}

    $ins=mysql_query("insert into pizarra_temas
                      set tema='$txttema',
                      curso = '$id_cr',
                      descripcion = '$txtdescripcion',
                      fecha='$fechahora',
                      activo='$txtactivo'");
    alert("Tema agregado con éxito","frm_pizarra_tema.php?gid=$gid&cid=$cid&jid=$jid&sid=$sid&nid=$nid");
 break;

 case "Update":
    if(!$txttema){
     alert("Debe ingresar un tema","javascript:history.go(-1)");
    }

    $id_tm=dec($tid);
    if(!$txtactivo){$txtactivo='N';}

    $upd=mysql_query("update pizarra_temas
                      set tema='$txttema',
                      descripcion = '$txtdescripcion',
                      activo='$txtactivo'
                      where id = $id_tm");
    alert("Tema actualizado con éxito","frm_pizarra_tema.php?gid=$gid&cid=$cid&jid=$jid&nid=$nid&sid=$sid");
 break;

 case "Delete":
    if(!$idt){
     alert("Error","javascript:history.go(-1)");
    }
    $id_cr=dec($cid);
    $id_tm=dec($idt);

    $ins=mysql_query("delete from pizarra_temas
                      where id ='$id_tm'");

    alert("Tema eliminado con éxito","frm_pizarra_tema.php?gid=$gid&cid=$cid&jid=$jid&nid=$nid&sid=$sid");


 break;

 default: alert("Parámetros incorrectos","frm_login.php");
}
?>